OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.Texture3D

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTexture3D :: MonadIO m => m Bool
- gl_EXT_texture3D :: Bool
- pattern GL_MAX_3D_TEXTURE_SIZE_EXT :: GLenum
- pattern GL_PACK_IMAGE_HEIGHT_EXT :: GLenum
- pattern GL_PACK_SKIP_IMAGES_EXT :: GLenum
- pattern GL_PROXY_TEXTURE_3D_EXT :: GLenum
- pattern GL_TEXTURE_3D_EXT :: GLenum
- pattern GL_TEXTURE_DEPTH_EXT :: GLenum
- pattern GL_TEXTURE_WRAP_R_EXT :: GLenum
- pattern GL_UNPACK_IMAGE_HEIGHT_EXT :: GLenum
- pattern GL_UNPACK_SKIP_IMAGES_EXT :: GLenum
- glTexImage3DEXT :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTexSubImage3DEXT :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()

# Extension Support

glGetEXTTexture3D :: MonadIO m => m Bool Source #

Is the EXT_texture3D extension supported?

gl_EXT_texture3D :: Bool Source #

Is the EXT_texture3D extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTexture3D` in those cases instead.

# Enums

pattern GL_MAX_3D_TEXTURE_SIZE_EXT :: GLenum Source #

pattern GL_PACK_IMAGE_HEIGHT_EXT :: GLenum Source #

pattern GL_PACK_SKIP_IMAGES_EXT :: GLenum Source #

pattern GL_PROXY_TEXTURE_3D_EXT :: GLenum Source #

pattern GL_TEXTURE_3D_EXT :: GLenum Source #

pattern GL_TEXTURE_DEPTH_EXT :: GLenum Source #

pattern GL_TEXTURE_WRAP_R_EXT :: GLenum Source #

pattern GL_UNPACK_IMAGE_HEIGHT_EXT :: GLenum Source #

pattern GL_UNPACK_SKIP_IMAGES_EXT :: GLenum Source #

# Functions

glTexImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth)` elements of type `a`.
-> m () |

This command is an alias for `glTexImage3D`.

glTexSubImage3DEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth)` elements of type `a`.
-> m () |

This command is an alias for `glTexSubImage3D`.